package nl.realworks.apps.ronald;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.NumberFormat;
import java.util.Locale;

public class LocaleTest {

	public static void main(String[] args) {
		for (Locale l : new Locale[] { new Locale("nl"), new Locale("nl", "NL") }) {
			System.out.println("displayname: " + l.getDisplayName());
			DecimalFormat nf = (DecimalFormat)NumberFormat.getNumberInstance(l);
			final DecimalFormatSymbols decimalFormatSymbols = nf.getDecimalFormatSymbols();
			System.out.println("decimal: " + decimalFormatSymbols.getDecimalSeparator());
			System.out.println("grouping: " + decimalFormatSymbols.getGroupingSeparator());
		}
	}
}
